Bug 148223 - themes: different color of "plate" for different MIME
Summary: themes: different color of "plate" for different MIME
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Usability-Themes (show other bugs)
Version: 0.9.2
Platform: Compiled Sources Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-07-26 12:27 UTC by Mikolaj Machowski
Modified: 2017-08-03 20:37 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 2.0.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mikolaj Machowski 2007-07-26 12:27:39 UTC
Version:            (using KDE Devel)
Installed from:    Compiled sources
OS:                Linux

Different MIME should have slightly different colors of thumbnail backgrounds. It would make easier to recognize RAW and jpg in RAW+JPG soup, or in other similar situations (eg. videos).
Comment 1 caulier.gilles 2007-07-26 12:38:13 UTC
Mik,

http://download2.xnview.com/screenshots/browser-700x560.gif

xniew use a very small icons superimposed over the thumb to identify if Exif or Iptc are embeded in picture. 

The same way can be use in digiKam to identify memie type of item (RAW, JPG, PNG, TIF, AVI, MPG, etc...) It very easy to implement (KDE3 and KDE4).

I just need few small icons ready to use.

Gilles
Comment 2 Mikolaj Machowski 2007-07-26 13:04:19 UTC
> The same way can be use in digiKam to identify memie type of item (RAW,
> JPG, PNG, TIF, AVI, MPG, etc...) It very easy to implement (KDE3 and
> KDE4).


I will make them. But I don't think icons are good thing to 
differentiate between mime-types. Too much noise.

m.

----------------------------------------------------
Wirtualna Polska zaprasza na Gda
Comment 3 Julien Narboux 2007-07-26 13:09:51 UTC
I think these icons should be optional. Sometime it could be useful but most of the time it will just hide the pictures. 

Julien
Comment 4 Bernhard Rode 2007-07-26 13:14:33 UTC
I even think, that the average user doesn't really care about which format the file is. 
He is only interested if it is a movie or an image.
I think it would be ok to have Images without and movies with an icon (oxygen maybe) over it.

p.e. kdelibs/pics/oxygen/scaleable/apps/kmplayer.png

Comment 5 caulier.gilles 2011-03-11 11:35:53 UTC
As you can see here :

http://www.flickr.com/photos/digikam/5516625907/sizes/o/in/photostream/

Icon view as now an option to show file format over thumbnail.

Using a color as thumb background to identify file format is not very elegant and will bloat GUI...

Gilles
Comment 6 caulier.gilles 2011-03-11 12:37:45 UTC
Git commit 6173a3635952f343474898eb3706dbce63dc7fd7 by Gilles Caulier.
Committed on 11/03/2011 at 12:31.
Pushed by cgilles into branch 'master'.

new feature : print item file format over icon view item as Lightroom and Aperture
See this screenshot for details :
http://www.flickr.com/photos/digikam/5516625907/sizes/o/in/photostream/
BUGS: 268098
BUGS: 148223
BUGS: 208504

M  +17   -14   digikam/items/digikamimagedelegate.cpp     
M  +1    -1    digikam/items/digikamimagedelegate.h     
M  +3    -4    digikam/items/digikamimagedelegatepriv.h     
M  +9    -2    digikam/items/imagedelegate.cpp     
M  +5    -3    digikam/items/imagedelegatepriv.h     
M  +16   -27   digikam/items/imagethumbnaildelegate.cpp     
M  +3    -2    digikam/items/imagethumbnaildelegate.h     
A  +66   -0    digikam/items/imagethumbnaildelegatepriv.h         [License: GPL (v2+)]
M  +72   -51   digikam/utils/albumsettings.cpp     
M  +3    -0    digikam/utils/albumsettings.h     
M  +28   -0    libs/widgets/common/itemviewimagedelegate.cpp     
M  +1    -0    libs/widgets/common/itemviewimagedelegate.h     
M  +20   -12   utilities/setup/setupalbumview.cpp     
M  +2    -3    utilities/setup/setupalbumview.h     

http://commits.kde.org/digikam/6173a3635952f343474898eb3706dbce63dc7fd7